---
title: targetX
slug: Web/SVG/Attribute/targetX
tags:
  - Filters
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>targetX</code></strong> attribute determines the positioning in horizontal direction of the convolution matrix relative to a given target pixel in the input image. The leftmost column of the matrix is column number zero. The value must be such that: <code>0</code> &lt;= <code>targetX</code> &lt; {{SVGAttr("order")}}<code>X</code>.</p>

<p>Only one element is using this attribute: {{SVGElement("feConvolveMatrix")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("integer")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>floor({{SVGAttr("order")}}X / 2)</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;integer&gt;</code></dt>
 <dd>This value indicates the positioning in horizontal direction of the convolution matrix relative to a given target pixel in the input image.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-feconvolvematrix-targetx", "targetX")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feConvolveMatrixElementTargetXAttribute", "targetX")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feConvolveMatrix.targetX")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGAttr("targetY")}}</li>
</ul>
